# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class UserProfileEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<UserProfileEntry>
                  com.google.gdata.data.youtube.UserProfileEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class UserProfileEntry

extends BaseEntry<UserProfileEntry>

An atom entry containing a user profile.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String[]` `CATEGORIES` Nonstandard categories that might be found in this entry.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`UserProfileEntry()`
`UserProfileEntry(BaseEntry<?> base)`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.String` `getAboutMe()` Gets the user description.
`java.lang.Integer` `getAge()`
`java.lang.String` `getBooks()`
`java.lang.String` `getChannelType()` Returns the term of the channel type category.
`java.lang.String` `getCompany()`
`FeedLink<?>` `getContactsFeedLink()` Returns a link to the user contacts (friends) feed.
`java.lang.String` `getDescription()` Deprecated. Valid only in version 1. Replaced in version 2.0 with yt:aboutMe for the user self description and atom:summary for the user channel description
`FeedLink<?>` `getFavoritesFeedLink()` Returns a link to the user favorites feed.
`Link` `getFeaturedVideoLink()` Returns a link to the featured video of the user's profile.
`java.util.List<FeedLink>` `getFeedLinks()` Returns a modifiable list of `FeedLink`s.
`java.lang.String` `getFirstName()` Gets the first name of the youtube user
`FeedLink<?>` `getFriendsActivityFeedLink()` Returns a link to the user's friends activity feed.
`YtGender.Value` `getGender()`
`java.lang.String` `getHobbies()`
`java.lang.String` `getHometown()`
`FeedLink<?>` `getInboxFeedLink()` Returns a link to the user inbox feed.
`java.lang.String` `getLastName()` Gets the last name of the youtube user
`java.lang.String` `getLocation()`
`java.lang.String` `getMovies()`
`java.lang.String` `getMusic()`
`FeedLink<?>` `getNewSubscriptionVideosFeedLink()` Returns a link to the user's new subscription videos feed.
`java.lang.String` `getOccupation()`
`FeedLink<?>` `getPlaylistsFeedLink()` Returns a link to the user playlists feed.
`FeedLink<?>` `getRecentActivityFeedLink()` Returns a link to the user's recent activity feed.
`YtRelationship.Status` `getRelationship()`
`java.lang.String` `getSchool()`
`YtUserProfileStatistics` `getStatistics()`
`FeedLink<?>` `getSubscriptionsFeedLink()` Returns a link to the users subscriptions feed.
`MediaThumbnail` `getThumbnail()`
`FeedLink<?>` `getUploadsFeedLink()` Returns a link to the user uploads feed.
`java.lang.String` `getUsername()` Gets the youtube username.
`Link` `getVideoLogLink()` Returns a link to the playlist defined by the user as video log.
`void` `setAboutMe(java.lang.String aboutMe)` Sets the user description.
`void` `setAge(java.lang.Integer age)`
`void` `setBooks(java.lang.String books)`
`void` `setChannelType(java.lang.String channelTypeTerm)` Set channel type of category tag.
`void` `setCompany(java.lang.String company)`
`void` `setDescription(java.lang.String description)` Deprecated. Valid only in version 1. Replaced in version 2.0 with yt:aboutMe for the user self description and atom:summary for the user channel description
`void` `setFirstName(java.lang.String firstname)` Sets the first name of the youtube user
`void` `setGender(YtGender.Value gender)`
`void` `setHobbies(java.lang.String hobbies)`
`void` `setHometown(java.lang.String hometown)`
`void` `setLastName(java.lang.String lastname)` Sets the last name of the youtube user
`void` `setLocation(java.lang.String location)`
`void` `setMovies(java.lang.String movies)`
`void` `setMusic(java.lang.String music)`
`void` `setOccupation(java.lang.String occupation)`
`void` `setRelationship(YtRelationship.Status relationship)`
`void` `setSchool(java.lang.String school)`
`void` `setStatistics(YtUserProfileStatistics ups)`
`void` `setThumbnail(MediaThumbnail thumb)`
`void` `setUsername(java.lang.String name)` Sets the youtube username.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

  Nonstandard categories that might be found in this entry.

Constructor Detail

### UserProfileEntry

    public UserProfileEntry()

### UserProfileEntry

    public UserProfileEntry(BaseEntry<?> base)

Method Detail

### setBooks

    public void setBooks(java.lang.String books)

### getBooks

    public java.lang.String getBooks()

### setAge

    public void setAge(java.lang.Integer age)

### getAge

    public java.lang.Integer getAge()

### setThumbnail

    public void setThumbnail(MediaThumbnail thumb)

### getThumbnail

    public MediaThumbnail getThumbnail()

### getCompany

    public java.lang.String getCompany()

### setCompany

    public void setCompany(java.lang.String company)

### setGender

    public void setGender(YtGender.Value gender)

### getGender

    public YtGender.Value getGender()

### setHobbies

    public void setHobbies(java.lang.String hobbies)

### getHobbies

    public java.lang.String getHobbies()

### setHometown

    public void setHometown(java.lang.String hometown)

### getHometown

    public java.lang.String getHometown()

### setLocation

    public void setLocation(java.lang.String location)

### getLocation

    public java.lang.String getLocation()

### setMovies

    public void setMovies(java.lang.String movies)

### getMovies

    public java.lang.String getMovies()

### setMusic

    public void setMusic(java.lang.String music)

### getMusic

    public java.lang.String getMusic()

### setOccupation

    public void setOccupation(java.lang.String occupation)

### getOccupation

    public java.lang.String getOccupation()

### setRelationship

    public void setRelationship(YtRelationship.Status relationship)

### getRelationship

    public YtRelationship.Status getRelationship()

### setSchool

    public void setSchool(java.lang.String school)

### getSchool

    public java.lang.String getSchool()

### getUsername

    public java.lang.String getUsername()

  Gets the youtube username.

### setUsername

    public void setUsername(java.lang.String name)

  Sets the youtube username.

### getFirstName

    public java.lang.String getFirstName()

  Gets the first name of the youtube user

### setFirstName

    public void setFirstName(java.lang.String firstname)

  Sets the first name of the youtube user

### getLastName

    public java.lang.String getLastName()

  Gets the last name of the youtube user

### setLastName

    public void setLastName(java.lang.String lastname)

  Sets the last name of the youtube user

### getDescription

    @Deprecated
    public java.lang.String getDescription()

  Deprecated. Valid only in version 1. Replaced in version 2.0 with yt:aboutMe for the user self description and atom:summary for the user channel description

  Gets the channel description.

### setDescription

    @Deprecated
    public void setDescription(java.lang.String description)

  Deprecated. Valid only in version 1. Replaced in version 2.0 with yt:aboutMe for the user self description and atom:summary for the user channel description

  Sets the channel description.

### getAboutMe

    public java.lang.String getAboutMe()

  Gets the user description.

  Since:
    version 2.0 of the protocol

### setAboutMe

    public void setAboutMe(java.lang.String aboutMe)

  Sets the user description.

  Since:
    version 2.0 of the protocol

### getStatistics

    public YtUserProfileStatistics getStatistics()

### setStatistics

    public void setStatistics(YtUserProfileStatistics ups)

### getChannelType

    public java.lang.String getChannelType()

  Returns the term of the channel type category. If no category with scheme channel type is found, null is returned.

  Returns:
    term of the category with the channel type scheme.

### setChannelType

    public void setChannelType(java.lang.String channelTypeTerm)

  Set channel type of category tag.

  Parameters:
    `channelTypeTerm` - If null, the channel type category is removed.

### getFeedLinks

    public java.util.List<FeedLink> getFeedLinks()

  Returns a modifiable list of `FeedLink`s.

### getFavoritesFeedLink

    public FeedLink<?> getFavoritesFeedLink()

  Returns a link to the user favorites feed.

### getContactsFeedLink

    public FeedLink<?> getContactsFeedLink()

  Returns a link to the user contacts (friends) feed.

### getInboxFeedLink

    public FeedLink<?> getInboxFeedLink()

  Returns a link to the user inbox feed.

### getPlaylistsFeedLink

    public FeedLink<?> getPlaylistsFeedLink()

  Returns a link to the user playlists feed.

### getSubscriptionsFeedLink

    public FeedLink<?> getSubscriptionsFeedLink()

  Returns a link to the users subscriptions feed.

### getUploadsFeedLink

    public FeedLink<?> getUploadsFeedLink()

  Returns a link to the user uploads feed.

### getNewSubscriptionVideosFeedLink

    public FeedLink<?> getNewSubscriptionVideosFeedLink()

  Returns a link to the user's new subscription videos feed.

### getFriendsActivityFeedLink

    public FeedLink<?> getFriendsActivityFeedLink()

  Returns a link to the user's friends activity feed.

### getRecentActivityFeedLink

    public FeedLink<?> getRecentActivityFeedLink()

  Returns a link to the user's recent activity feed.

### getVideoLogLink

    public Link getVideoLogLink()

  Returns a link to the playlist defined by the user as video log.

### getFeaturedVideoLink

    public Link getFeaturedVideoLink()

  Returns a link to the featured video of the user's profile.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`